| usbps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPs_EpOut Struct Reference

The following data structures are used internally by the L0/L1 driver. More...

## Data Fields
XUsbPs_dQH * | dQH
| Pointer to the Queue Head structure of the endpoint. More...
XUsbPs_dTD * | dTDs
| Pointer to the first dTD of the dTD list for this endpoint. More...
XUsbPs_dTD * | dTDCurr
| Buffer to the currently processed descriptor. More...
u8 * | dTDBufs
| Pointer to the first buffer of the buffer list for this endpoint. More...
XUsbPs_EpIsoHandlerFunc | HandlerIsoFunc
| Handler function for this endpoint. More...
void * | HandlerRef
| User data reference for the handler. More...
u32 | RequestedBytes
| RequestedBytes for transfer. More...
u32 | BytesTxed
| Actual Bytes transferred. More...
u8 * | BufferPtr
| Buffer location. More...
u8 | MemAlloted
| Mem alloted and data is not received. More...
u32 | Interval
| Data transfer service interval. More...

## Detailed Description

The following data structures are used internally by the L0/L1 driver.

Their contents MUST NOT be changed by the upper layers. The following data structure represents OUT endpoint.

## Field Documentation

u8* XUsbPs_EpOut::BufferPtr

Buffer location.

Referenced by XUsbPs_EpDataBufferReceive(), and XUsbPs_EpGetData().

u32 XUsbPs_EpOut::BytesTxed

Actual Bytes transferred.

Referenced by XUsbPs_EpDataBufferReceive(), and XUsbPs_EpGetData().

XUsbPs_dQH* XUsbPs_EpOut::dQH

Pointer to the Queue Head structure of the endpoint.

Referenced by XUsbPs_EpGetSetupData().

u8* XUsbPs_EpOut::dTDBufs

Pointer to the first buffer of the buffer list for this endpoint.

Referenced by XUsbPs_ReconfigureEp().

XUsbPs_dTD* XUsbPs_EpOut::dTDCurr

Buffer to the currently processed descriptor.

Referenced by XUsbPs_EpBufferReceive(), XUsbPs_EpDataBufferReceive(), XUsbPs_EpGetData(), and XUsbPs_ReconfigureEp().

XUsbPs_dTD* XUsbPs_EpOut::dTDs

Pointer to the first dTD of the dTD list for this endpoint.

Referenced by XUsbPs_ReconfigureEp().

XUsbPs_EpIsoHandlerFunc XUsbPs_EpOut::HandlerIsoFunc

Handler function for this endpoint.

Referenced by XUsbPs_EpGetData(), and XUsbPs_EpSetIsoHandler().

void* XUsbPs_EpOut::HandlerRef

User data reference for the handler.

Referenced by XUsbPs_EpGetData(), XUsbPs_EpSetHandler(), and XUsbPs_EpSetIsoHandler().

u32 XUsbPs_EpOut::Interval

Data transfer service interval.

u8 XUsbPs_EpOut::MemAlloted

Mem alloted and data is not received.

Referenced by XUsbPs_EpDataBufferReceive(), and XUsbPs_EpGetData().

u32 XUsbPs_EpOut::RequestedBytes

RequestedBytes for transfer.

Referenced by XUsbPs_EpDataBufferReceive(), and XUsbPs_EpGetData().